curl --request GET \
--url https://api.example.com/utils/{resource_type}/{resource_uri}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata"
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Project-ID': '<x-project-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/utils/{resource_type}/{resource_uri}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Project-ID: <x-project-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Project-ID", "<x-project-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/utils/{resource_type}/{resource_uri}/metadata")
.header("X-Project-ID", "<x-project-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/utils/{resource_type}/{resource_uri}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Project-ID"] = '<x-project-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"type": "database",
"name": "<string>",
"fully_qualified_name": "<string>",
"resource_uri": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"version": "<string>",
"version_major": 123,
"version_minor": 123,
"version_change_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"display_name": "<string>",
"description": "<string>",
"summary_text": "<string>",
"service_name": "<string>",
"owners": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
],
"extension": {},
"schema_definition": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"is_dq_tagged": false,
"is_pii_tagged": false,
"is_sensitivity_tagged": false,
"tags": [
{
"tag_id": "<string>",
"tag_fqn": "<string>",
"category_name": "<string>",
"tag_name": "<string>",
"tag_description": "<string>"
}
],
"children": [
"<unknown>"
],
"children_total": 123,
"table_type": "<string>",
"row_count": 123,
"column_count": 123,
"table_count": 123,
"data_type": "<string>",
"data_type_display": "<string>",
"ordinal_position": 123,
"nullable": true,
"constraint": {},
"column_relationships": [
{}
],
"precision": 123,
"scale": 123,
"data_length": 123,
"business_definition": "<string>",
"business_rules": "<string>",
"change_description": {
"fields_added": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"fields_updated": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"fields_deleted": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"previous_version": "<string>"
},
"change_summary": {},
"changed_by": [
"<string>"
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Get metadata by FQN
Retrieve a metadata asset by fully qualified name. Optionally filter by asset_type or retrieve a specific historical version.
curl --request GET \
--url https://api.example.com/utils/{resource_type}/{resource_uri}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata"
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Project-ID': '<x-project-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/utils/{resource_type}/{resource_uri}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Project-ID: <x-project-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Project-ID", "<x-project-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/utils/{resource_type}/{resource_uri}/metadata")
.header("X-Project-ID", "<x-project-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/utils/{resource_type}/{resource_uri}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Project-ID"] = '<x-project-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"type": "database",
"name": "<string>",
"fully_qualified_name": "<string>",
"resource_uri": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"version": "<string>",
"version_major": 123,
"version_minor": 123,
"version_change_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"display_name": "<string>",
"description": "<string>",
"summary_text": "<string>",
"service_name": "<string>",
"owners": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
],
"extension": {},
"schema_definition": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"is_dq_tagged": false,
"is_pii_tagged": false,
"is_sensitivity_tagged": false,
"tags": [
{
"tag_id": "<string>",
"tag_fqn": "<string>",
"category_name": "<string>",
"tag_name": "<string>",
"tag_description": "<string>"
}
],
"children": [
"<unknown>"
],
"children_total": 123,
"table_type": "<string>",
"row_count": 123,
"column_count": 123,
"table_count": 123,
"data_type": "<string>",
"data_type_display": "<string>",
"ordinal_position": 123,
"nullable": true,
"constraint": {},
"column_relationships": [
{}
],
"precision": 123,
"scale": 123,
"data_length": 123,
"business_definition": "<string>",
"business_rules": "<string>",
"change_description": {
"fields_added": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"fields_updated": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"fields_deleted": [
{
"field_name": "<string>",
"change_type": "added"
}
],
"previous_version": "<string>"
},
"change_summary": {},
"changed_by": [
"<string>"
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Fully qualified name of the entity
Expected asset type (for validation) Asset type discriminator values.
database, database_schema, table, column Specific version to retrieve (e.g., '0.10'). Cannot be combined with include_children=true.
^\d+\.\d+$Include direct child entities (max 500). Check children_total to detect truncation.
Response
Successful Response
Response schema for metadata assets.
Asset type discriminator values.
database, database_schema, table, column Show child attributes
Show child attributes
Show child attributes
Show child attributes
Total number of direct children. Compare with len(children) to detect truncation (max 500 returned).
Structured diff between consecutive versions.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

